Trouble building swank-kawa

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Trouble building swank-kawa

Duncan Mak
I'm using kawa 1.14 from Homebrew on a Mac.

I got SLIME running in emacs from git, but I can't seem to get
swank-kawa to compile. When I follow the instructions, I get

bash-3.2$ java -cp
/usr/local/Cellar/kawa/1.14/kawa-1.14.jar:$JAVA_HOME/lib/tools.jar
-Xss650k kawa.repl -d classes -C swank-kawa.scm && jar cf
swank-kawa.jar -C classes .
(compiling swank-kawa.scm to swank$Mnkawa)
swank-kawa.scm:234:28: caught exception in inliner for #<procedure
apply-to-args> - java.lang.StackOverflowError
    java.lang.StringBuffer.append(StringBuffer.java:272)

I've tried with both jdk1.7.0_67.jdk and jdk1.8.0_05.jdk.

Thanks for any help!

--
Duncan.
Reply | Threaded
Open this post in threaded view
|

Re: Trouble building swank-kawa

Helmut Eller-2
On Sat, Aug 30 2014, Duncan Mak wrote:

> I'm using kawa 1.14 from Homebrew on a Mac.
>
> I got SLIME running in emacs from git, but I can't seem to get
> swank-kawa to compile. When I follow the instructions, I get
>
> bash-3.2$ java -cp
> /usr/local/Cellar/kawa/1.14/kawa-1.14.jar:$JAVA_HOME/lib/tools.jar
> -Xss650k kawa.repl -d classes -C swank-kawa.scm && jar cf
> swank-kawa.jar -C classes .

> (compiling swank-kawa.scm to swank$Mnkawa)
> swank-kawa.scm:234:28: caught exception in inliner for #<procedure
> apply-to-args> - java.lang.StackOverflowError
>     java.lang.StringBuffer.append(StringBuffer.java:272)
>
> I've tried with both jdk1.7.0_67.jdk and jdk1.8.0_05.jdk.
>
> Thanks for any help!

Can you try a larger stack size, e.g. -Xss2M ?  650k seems to be enough
on a 32 bit machine. I guess a 64 bit machine needs about twice as much.

Helmut

Reply | Threaded
Open this post in threaded view
|

Re: Trouble building swank-kawa

Duncan Mak
Thanks Helmut, using -Xss2M worked.

Now that I have it running, I see this when I try to evaluate any form
in the REPL:

java.lang.Error: autodoc not implemented
  [type java.lang.Error]

Restarts:
 0: [quit] terminate current thread

Backtrace:
  0: breakpoint (java.lang.Error: autodoc not implemented)
  1: break (java.lang.Error: autodoc not implemented)
  2: invokeDebugger (java.lang.Error: autodoc not implemented)
  3: listenerLoop (chan@3f6f8250 #<environment r0> #<output-port>)
  4: listener (chan@3f6f8250 #<environment r0>)
  5: lambda14 (chan@3f6f8250)

Is there something I forgot to do in my setup?

Thanks!

Duncan.

On Sat, Aug 30, 2014 at 1:20 AM, Helmut Eller <[hidden email]> wrote:

> On Sat, Aug 30 2014, Duncan Mak wrote:
>
>> I'm using kawa 1.14 from Homebrew on a Mac.
>>
>> I got SLIME running in emacs from git, but I can't seem to get
>> swank-kawa to compile. When I follow the instructions, I get
>>
>> bash-3.2$ java -cp
>> /usr/local/Cellar/kawa/1.14/kawa-1.14.jar:$JAVA_HOME/lib/tools.jar
>> -Xss650k kawa.repl -d classes -C swank-kawa.scm && jar cf
>> swank-kawa.jar -C classes .
>
>> (compiling swank-kawa.scm to swank$Mnkawa)
>> swank-kawa.scm:234:28: caught exception in inliner for #<procedure
>> apply-to-args> - java.lang.StackOverflowError
>>     java.lang.StringBuffer.append(StringBuffer.java:272)
>>
>> I've tried with both jdk1.7.0_67.jdk and jdk1.8.0_05.jdk.
>>
>> Thanks for any help!
>
> Can you try a larger stack size, e.g. -Xss2M ?  650k seems to be enough
> on a 32 bit machine. I guess a 64 bit machine needs about twice as much.
>
> Helmut
>



--
Duncan.
Reply | Threaded
Open this post in threaded view
|

Re: Trouble building swank-kawa

Helmut Eller-2
On Sat, Aug 30 2014, Duncan Mak wrote:

> Is there something I forgot to do in my setup?

It looks like you have accidentally enabled slime-autodoc on the Emacs
side; maybe by loading the slime-fancy contrib.  With Kawa you have to
use a "naked" SLIME with no contribs loaded.  Exceptions are slime-repl,
inferior-slime, or slime-scratch.

Helmut